import {
	inject,
	observer
} from 'mobx-react';
import {
	WeaTab,
} from 'ecCom';

@inject('hrmVacationBalanceReportCopy')
@observer
class DialogTab extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmVacationBalanceReportCopy
		} = this.props, {
			dialogTab,
			dialogTabStaticProps,
		} = hrmVacationBalanceReportCopy;

		return (
			<WeaTab ecId={`${this && this.props && this.props.ecId || ''}_WeaTab@boklev`} {...dialogTab} {...dialogTabStaticProps}/>
		);
	}
}

export default DialogTab;